<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="invoke" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <info>
    <pubdate>$LastChangedDate: 11-8-2010 $</pubdate>
  </info>

  <refnamediv>
    <refname>invoke</refname><refpurpose>Call the Python function</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   c = invoke(obj, func, args)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>obj:</term>
      <listitem><para> the python object</para></listitem></varlistentry>
   <varlistentry><term>func:</term>
      <listitem><para> the function name</para></listitem></varlistentry>
   <varlistentry><term>args:</term>
      <listitem><para> the parameters of the function</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
invoke a function of object. The object is a module, or a class instance. This is equivalent to the Python expression:
obj.func(args...)
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
x = invoke(math,"sqrt",4)
x = invoke(math, "copysign", 3, -5)

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Baozeng Ding</member>
   </simplelist>
</refsection>
</refentry>
